Loading...
Searching...
No Matches
casacore::ArrayUtil_global_functions_partialFuncHelper Struct Reference
casa package (libcasa_casa) » Arrays_module

Helper function for partialX functions. More...

`#include <ArrayUtil.h>`

## Public Member Functions

size_t | partialFuncHelper (int &nelemCont, IPosition &resultShape, IPosition &incr, const IPosition &sourceShape, const IPosition &collapseAxes)

## Detailed Description

Helper function for partialX functions.

### Intended use:

Public interface

### Synopsis

This is a specialized helper function for functions like partialSums. It determines the shape of the resulting array and calculates the result increments when iterating linearly through the source array. It returns the first result axis which indicates the number of the first contiguous collapse axes. The number of contiguous data points is returned in nelemCont.

Definition at line 182 of file ArrayUtil.h.

## Member Function Documentation

## partialFuncHelper()

size_t casacore::ArrayUtil_global_functions_partialFuncHelper::partialFuncHelper | ( | int & | nelemCont,
|  | IPosition & | resultShape,
|  | IPosition & | incr,
|  | const IPosition & | sourceShape,
|  | const IPosition & | collapseAxes )

The documentation for this struct was generated from the following file:

- casa/Arrays/ArrayUtil.h